## escapework/manager-banners

Módulo de cadastramento de banners para integração com o escapework/manager.

## Instalação

Adiciona os seguintes itens no seu `composer.json` e execute um `composer update`: 

```json
{
    "require": {
        "escapework/manager-banners": "0.1.*"
    }, 

    "repositories": [
        {
            "type": "git",
            "url": "git@bitbucket.org:escapecria/manager-banners.git"
        }
    ]
}
```

### ServiceProvider

Adicione a linha `'EscapeWork\Manager\Banners\EscapeWorkManagerBannersServiceProvider'` no array de Service Providers no arquivo `app/config/app.php`.

### Migrations

Execute a migration para criar a tabela necessária: 

```sh
$ php artisan migrate --package="escapework/manager-banners"
```

### Seeds 

Os seeds criarão a página e as permissões de acesso. Adicione a seguinte linha no seu arquivo `app/database/seeds/DatabaseSeeder.php`.

```php
    # escapework/manager-banners
    $this->call('EscapeWork\Manager\Banners\BannerTableSeeder');
```

E depois, execute o comando: 

```sh
$ php artisan db:seed
```

### Configurações e Assets

Execute os seguintes comandos para copiar as configurações e os assets para a pasta correta: 

```sh
$ php artisan asset:publish escapework/manager-banners
$ php artisan config:publish escapework/manager-banners
```

### Tamanhos dos banners

Para configurar os tamanhos dos banners, edite o array no arquivo `app/config/packages/escapework/manager-banners/config.php`.

```php
return array(
    'sizes' => array(
        'default' => array(
            'width'  => 950, 
            'height' => 200, 
        ), 
        'thumb' => array(
            'width'  => 200, 
            'height' => 75, 
        ), 
    ), 
);
```

Depois disso, você já poderá acessar o cadastro de banners pela URL `http://seusite/manager/banners`.

### Todo

* Testes unitários

#### Versões compatíveis do [escapework/manager](https://github.com/escapecriativacao/)

* escapework/manager 0.3